Bug 67694 - (NET NE2K-PCI) Kernel 2.4.9-34 only finds one of my NE2K-PCI cards
Summary: (NET NE2K-PCI) Kernel 2.4.9-34 only finds one of my NE2K-PCI cards
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-29 18:52 UTC by Bernd Bartmann
Modified: 2013-07-03 02:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernd Bartmann 2002-06-29 18:52:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
After updating the kernel of my RedHat 7.2 system from 2.4.9-31 to 2.4.9-34 
only one of my two NE2K-PCI cards is found. Kernel-2.4.9-31 detected both 
cards correctly. Both cards share interrupt 11.

Here is an excerpt from "dmesg" for kernel-2.4.9-31:
ne2k-pci.c:v1.02 10/19/2000 D. Becker/P. Gortmaker
  http://www.scyld.com/network/ne2k-pci.html
PCI: Found IRQ 11 for device 02:02.0
PCI: Sharing IRQ 11 with 00:1f.3
PCI: Sharing IRQ 11 with 00:1f.5
PCI: Sharing IRQ 11 with 02:01.0
eth1: RealTek RTL-8029 found at 0x8800, IRQ 11, 00:E0:7D:7B:4B:1F.
PCI: Found IRQ 11 for device 02:03.0
PCI: Sharing IRQ 11 with 00:1f.2
PCI: Sharing IRQ 11 with 02:05.0
eth2: RealTek RTL-8029 found at 0x8c00, IRQ 11, 00:E0:7D:7B:1F:B4.

And here is the relevant section from kernel-2.4.9-34:
ne2k-pci.c:v1.02 10/19/2000 D. Becker/P. Gortmaker
  http://www.scyld.com/network/ne2k-pci.html
PCI: Found IRQ 11 for device 02:03.0
PCI: Sharing IRQ 11 with 00:1f.2
PCI: Sharing IRQ 11 with 02:05.0
eth1: RealTek RTL-8029 found at 0x8c00, IRQ 11, 00:E0:7D:7B:1F:B4.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install kernel-2.4.9-34 and -31
2. Insert two indentical NE2K-PCI cards that share the same irq
3.
	

Additional info:

Comment 1 Bugzilla owner 2004-09-30 15:39:43 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.